The (1) fw_cfg_write and (2) fw_cfg_read functions in hw/nvram/fw_cfg.c in QEMU before 2.4, when built with the Firmware Configuration device emulation support, allow guest OS users with the CAP_SYS_RAWIO privilege to cause a denial of service (out-of-bounds read or write access and process crash) or possibly execute arbitrary code via an invalid current entry value in a firmware configuration.
Published 2016-04-07 19:59:02
Updated 2023-02-12 23:17:17
Source Red Hat, Inc.
View at NVD,   CVE.org
Vulnerability category: OverflowExecute codeDenial of service

Exploit prediction scoring system (EPSS) score for CVE-2016-1714

0.86%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 82 %
Percentile, the proportion of vulnerabilities that are scored at or less

CVSS scores for CVE-2016-1714

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
6.9
MEDIUM AV:L/AC:M/Au:N/C:C/I:C/A:C
3.4
10.0
NIST
8.1
HIGH CVSS:3.0/AV:L/AC:H/PR:N/UI:N/S:C/C:H/I:H/A:H
1.4
6.0
NIST

CWE ids for CVE-2016-1714

References for CVE-2016-1714

Products affected by CVE-2016-1714

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!